org.apache.ignite.failure

## Class RestartProcessFailureHandler

- java.lang.Object
- - org.apache.ignite.failure.RestartProcessFailureHandler

All Implemented Interfaces:
  FailureHandler

    public class RestartProcessFailureHandler
    extends Object
    implements FailureHandler

This handler could be used only with ignite.(sh|bat) script. Process will be terminated using `Ignition.restart(boolean)` call.

### Constructor Summary

Constructors
Constructor and Description
`RestartProcessFailureHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `onFailure(Ignite ignite, FailureContext failureCtx)` Handles failure occurred on `ignite` instance.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RestartProcessFailureHandler

    public RestartProcessFailureHandler()

### Method Detail

#### onFailure

    public boolean onFailure(Ignite ignite,
                             FailureContext failureCtx)

Handles failure occurred on `ignite` instance. Failure details is contained in `failureCtx`. Returns `true` if kernal context must be invalidated by `FailureProcessor` after calling this method.

Specified by:
  `onFailure` in interface `FailureHandler`
Parameters:
  `ignite` - Ignite instance.
  `failureCtx` - Failure context.
Returns:
  Whether kernal context must be invalidated or not.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018